/*
 * Copyright 2014 Christian Loose <christian.loose@hamburg.de>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef HTMLTEMPLATE_H
#define HTMLTEMPLATE_H

#include "template.h"

class HtmlTemplate : public Template
{
public:
    HtmlTemplate();

    virtual QString render(const QString &body, RenderOptions options) const;
    virtual QString exportAsHtml(const QString &header, const QString &body, RenderOptions options) const;

private:
    QString renderAsHtml(const QString &header, const QString &body, RenderOptions options) const;
    QString buildHtmlHeader(RenderOptions options) const;

    QString htmlTemplate;
};

#endif // HTMLTEMPLATE_H
